Page MenuHomeFreeBSD

nvmf.h: New header defining ioctls for NVMe over Fabrics
ClosedPublic

Authored by jhb on Apr 9 2024, 11:03 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jun 16, 7:50 AM
Unknown Object (File)
Sun, Jun 16, 6:42 AM
Unknown Object (File)
Sat, Jun 15, 8:57 PM
Unknown Object (File)
Sat, Jun 15, 5:13 PM
Unknown Object (File)
Thu, Jun 13, 6:27 PM
Unknown Object (File)
Tue, Jun 11, 7:22 PM
Unknown Object (File)
Mon, May 27, 2:10 AM
Unknown Object (File)
May 21 2024, 3:44 AM
Subscribers

Details

Summary

This defines structures, ioctl commands, and related constants used
for both the Fabrics host and controller.

Sponsored by: Chelsio Communications

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Skipped
Unit
Tests Skipped
Build Status
Buildable 57514
Build 54402: arc lint + arc unit

Event Timeline

jhb requested review of this revision.Apr 9 2024, 11:03 PM

One nit... also applies to all of this series of reviews: consider omitting the license boilerplate.

sys/dev/nvme/nvme.h
47

won't line numbers go stale quickly?

This revision is now accepted and ready to land.Apr 13 2024, 5:53 PM
In D44706#1020670, @imp wrote:

One nit... also applies to all of this series of reviews: consider omitting the license boilerplate.

Hmm, are we ready to do that? I know we have some SPDX-only files in the tree and are kind of allowing it, but I wasn't sure we'd crossed the point to preferring that by default.

sys/dev/nvme/nvme.h
47

Not the line number, the constant 200 as the second argument to _IO*

In D44706#1021491, @jhb wrote:
In D44706#1020670, @imp wrote:

One nit... also applies to all of this series of reviews: consider omitting the license boilerplate.

Hmm, are we ready to do that? I know we have some SPDX-only files in the tree and are kind of allowing it, but I wasn't sure we'd crossed the point to preferring that by default.

hence my suggesting that you consider it: it's an option....

sys/dev/nvme/nvme.h
47

Oh! That's a note for reserved future use...

Add NVMF_DISCONNECT_HOST and NVMF_DISCONNECT_ALL ioctls for /dev/nvmf

This revision now requires review to proceed.May 1 2024, 8:58 PM

Add NVMF_DISCONNECT_HOST and NVMF_DISCONNECT_ALL ioctls for /dev/nvmf

Switch to SPDX-only license blocks for C files

Do we want to omit license blocks in manpages as well as C source? I've left them in the manpages for now.

This revision was not accepted when it landed; it landed in state Needs Review.May 3 2024, 12:16 AM
This revision was automatically updated to reflect the committed changes.